"""A common module used in OpenFASOC generators.

This module exports functions used in OpenFASOC generators. The following submodules and functions are exported.

- `common.verilog_generation`
	1. `generate_verilog(parameters: dict, src_dir: str, out_dir: str) -> None`: Used to generate synthesizable Verilog files (for OpenROAD flow) from source Mako-based Verilog templates.
	2. `COMMON_PLATFORMS_PREFIX_MAP` (dict): This is a dictionary of common platforms (currently sky130) and their cell naming prefixes.
- `common.simulation`
	1. `run_simulations()`: Used to run SPICE testbenches with multiple parameters.
- `common.check_gen_files`
	1. `check_gen_files(parameters: json_filename, is_tempsense)`: Used to check if the various files that should be generated by the flow are present in their required directories. 
- `common.check_gen_extensions`
	1. Stores the extensions of the files generated by the flow. 
- `common.check_sim_results`
	1. `compare_files(parameters: template_filename, result_filename, max_allowable error) -> int` Checks if the generated frequency, power and error result file values are within the maximum 
 	allowable error from those in the template file. Returns 1 for successful check, else returns 0
See individual function documentation for more information on a particular function.
"""